Skip to main content
`Ctrl`+`K`

# PetscDrawViewPortsDestroy

frees a `PetscDrawViewPorts` object

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawViewPortsDestroy(PetscDrawViewPorts *ports)

Collective on the `PetscDraw` inside `ports`

## Input Parameter

- ports - the `PetscDrawViewPorts` object

## Fortran Note

No Fortran support since `PetscDrawViewPorts` is a C struct

## See Also

`PetscDrawViewPorts`, `PetscDrawSplitViewPort()`, `PetscDrawSetViewPort()`, `PetscDrawViewPortsSet()`, `PetscDrawViewPortsCreate()`

## Level

advanced

## Location

src/sys/classes/draw/interface/dviewp.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages